## mbpfan 2.0.2

=== Makefile ===
COMPILER=cc

C = c
OBJ = o
OUTPUT_PATH = bin/
SOURCE_PATH = src/
BIN = bin/mbpfan
CONF = mbpfan.conf
DOC = README.md
MAN = mbpfan.8.gz

COPT = 
CC = cc
OBJFLAG = -o
BINFLAG = -o
INCLUDES =
LIBS = -lm
LIBPATH =
CFLAGS +=  $(COPT) -g $(INCLUDES) -Wall -Wextra -Wno-unused-function
LDFLAGS += $(LIBPATH) -g $(LIBS) #-Wall

OBJS := $(patsubst %.$(C),%.$(OBJ),$(wildcard $(SOURCE_PATH)*.$(C)))

%.$(OBJ):%.$(C)
	mkdir -p bin
	@echo Compiling $(basename $<)...
	$(CC) -c $(CFLAGS) $< $(OBJFLAG)$@

all: $(BIN)

$(BIN): $(OBJS)
	@echo Linking...
	$(CC) $(LDFLAGS) $^ $(LIBS) $(BINFLAG) $(BIN)

clean:
	rm -rf $(SOURCE_PATH)*.$(OBJ) $(BIN)

tests:
	make install
	/usr/sbin/mbpfan -f -v -t

uninstall:
	rm /usr/sbin/mbpfan
	rm /etc/mbpfan.conf
	rm /lib/systemd/system/mbpfan.service
	rm /usr/share/man/man8/mbpfan.8.gz
	rm -rf /usr/share/doc/mbpfan

install: $(BIN)
	install -d $(DESTDIR)/usr/sbin
	install -d $(DESTDIR)/etc
	install -d $(DESTDIR)/lib/systemd/system
	install -d $(DESTDIR)/usr/share/doc/mbpfan
	install $(BIN) $(DESTDIR)/usr/sbin
	install -m644 $(CONF) $(DESTDIR)/etc
	install -m644 $(DOC) $(DESTDIR)/usr/share/doc/mbpfan
	install -d $(DESTDIR)/usr/share/man/man8
	install -m644 $(MAN) $(DESTDIR)/usr/share/man/man8
	@echo ""
	@echo "******************"
	@echo "INSTALL COMPLETED"
	@echo "******************"
	@echo ""
	@echo "A configuration file has been copied (might overwrite existing file) to /etc/mbpfan.conf."
	@echo "See README.md file to have mbpfan automatically started at system boot."
	@echo ""
	@echo "Please run the tests now with the command"
	@echo "   sudo make tests"
	@echo ""
rebuild: clean all
#rebuild is not entirely correct

=== debian/changelog ===
mbpfan (2.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #829505)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 05 Nov 2017 15:36:08 +0800

=== debian/control ===
Source: mbpfan
Section: utils
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.1.1
Homepage: https://github.com/dgraziotin/mbpfan
Vcs-Git: https://anonscm.debian.org/collab-maint/mbpfan.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mbpfan.git

Package: mbpfan
Architecture: any
Depends: lsb-base,
         ${shlibs:Depends},
         ${misc:Depends}
Description: fan control daemon for Apple Macbooks
 mbpfan is a daemon that uses input from coretemp module and sets the fan speed
 using the applesmc module. This enhanced version assumes any number of
 processors and fans (max. 10).
 .
  * It only uses the temperatures from the processors as input.
  * It requires coretemp and applesmc kernel modules to be loaded.
  * It requires root use
  * It daemonizes or stays in foreground
  * Verbose mode for both syslog and stdout
  * Users can configure it using the file /etc/mbpfan.conf

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

debian/mbpfan.init:
	cp mbpfan.init.debian $@

debian/mbpfan.service:
	cp mbpfan.service $@

override_dh_installinit: debian/mbpfan.init debian/mbpfan.service
	dh_installinit

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mbpfan-$1.tar.gz%" \
   https://github.com/dgraziotin/mbpfan/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## mbpfan 2.1.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 MAN = mbpfan.8.gz
 
 COPT = 
-CC = cc
+CC ?= cc
 OBJFLAG = -o
 BINFLAG = -o
 INCLUDES =

=== debian/changelog ===
mbpfan (2.1.1-2) unstable; urgency=medium

  * [6c64c55] Pass CPPFLAGS to $(CC) while compiling

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 11 Sep 2019 12:41:07 +0800

mbpfan (2.1.1-1) unstable; urgency=medium

  * [b47d961] Ensure that mbpfan.service is enabled and restarted after upgrade
  * [104eede] Update build-deps for dh_systemd_* commands
  * [9e53413] Call dh --with systemd
  * [ae28e89] New upstream version 2.1.1
  * [612f7d7] Update vcs-* urls

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 03 Sep 2019 11:34:00 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9),
+               debhelper (>= 9.20160709~) | dh-systemd
 Standards-Version: 4.1.1
 Homepage: https://github.com/dgraziotin/mbpfan
-Vcs-Git: https://anonscm.debian.org/collab-maint/mbpfan.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mbpfan.git
+Vcs-Git: https://salsa.debian.org/debian/mbpfan.git
+Vcs-Browser: https://salsa.debian.org/debian/mbpfan
 
 Package: mbpfan
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd

debian/mbpfan.init:
	cp mbpfan.init.debian $@

debian/mbpfan.service:
	cp mbpfan.service $@

override_dh_installinit: debian/mbpfan.init debian/mbpfan.service
	dh_systemd_enable
	dh_installinit --restart-after-upgrade
	dh_systemd_start --restart-after-upgrade

## mbpfan 2.2.1

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 INCLUDES =
 LIBS = -lm
 LIBPATH =
-CFLAGS +=  $(COPT) -g $(INCLUDES) -Wall -Wextra -Wno-unused-function
-LDFLAGS += $(LIBPATH) -g $(LIBS) #-Wall
+CFLAGS += $(COPT) -g $(INCLUDES) -Wall -Wextra -Wno-unused-function -std=c99 -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=500
+LDFLAGS += $(LIBPATH) -g
 
 OBJS := $(patsubst %.$(C),%.$(OBJ),$(wildcard $(SOURCE_PATH)*.$(C)))

=== debian/changelog ===
mbpfan (2.2.1-1) unstable; urgency=medium

  * [9cadd69] New upstream version 2.2.1
  * [8588062] Move PIDFile to /run/

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 25 May 2020 14:00:15 +0800

mbpfan (2.1.1-3) unstable; urgency=medium

  * [8bd3c21] Bump Standards-Version to 4.4.1 and debhelper compat level to 12
    (Closes: #958636)
  * [c7f458f] Move systemd installation bits to dh_installsystemd
  * [da055af] Build-dep on init-system-helpers
    dh_installsystemd's postinst script needs it

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 24 Apr 2020 14:15:28 +0800

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9),
-               debhelper (>= 9.20160709~) | dh-systemd
-Standards-Version: 4.1.1
+Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.4.1
 Homepage: https://github.com/dgraziotin/mbpfan
 Vcs-Git: https://salsa.debian.org/debian/mbpfan.git
 Vcs-Browser: https://salsa.debian.org/debian/mbpfan
 
 Package: mbpfan
 Architecture: any
+Pre-Depends: init-system-helpers (>= 1.58)
 Depends: lsb-base,
          ${shlibs:Depends},
          ${misc:Depends}

## mbpfan 2.3.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 OBJ = o
 OUTPUT_PATH = bin/
 SOURCE_PATH = src/
+TESTS_PATH = tests/
+TESTS_BIN = bin/mbpfan-tests
 BIN = bin/mbpfan
 CONF = mbpfan.conf
 DOC = README.md
@@ -20,24 +22,32 @@
 LDFLAGS += $(LIBPATH) -g
 
 OBJS := $(patsubst %.$(C),%.$(OBJ),$(wildcard $(SOURCE_PATH)*.$(C)))
+TESTS_OBJS := $(patsubst %.$(C),%.$(OBJ),$(wildcard $(TESTS_PATH)*.$(C)))
+TESTS_OBJS += $(filter-out %main.$(OBJ),$(OBJS))
+
+.PHONY: all clean tests uninstall install rebuild
 
 %.$(OBJ):%.$(C)
 	mkdir -p bin
 	@echo Compiling $(basename $<)...
 	$(CC) -c $(CFLAGS) $< $(OBJFLAG)$@
 
-all: $(BIN)
+all: $(BIN) $(TESTS_BIN)
 
 $(BIN): $(OBJS)
 	@echo Linking...
 	$(CC) $(LDFLAGS) $^ $(LIBS) $(BINFLAG) $(BIN)
 
+$(TESTS_BIN): $(TESTS_OBJS)
+	@echo Linking...
+	$(CC) $(LDFLAGS) $^ $(LIBS) $(BINFLAG) $(TESTS_BIN)
+
 clean:
 	rm -rf $(SOURCE_PATH)*.$(OBJ) $(BIN)
+	rm -rf $(TESTS_PATH)*.$(OBJ) $(TESTS_BIN)
 
-tests:
-	make install
-	/usr/sbin/mbpfan -f -v -t
+tests: all
+	./bin/mbpfan-tests
 
 uninstall:
 	rm /usr/sbin/mbpfan
@@ -46,7 +56,7 @@
 	rm /usr/share/man/man8/mbpfan.8.gz
 	rm -rf /usr/share/doc/mbpfan
 
-install: $(BIN)
+install: all
 	install -d $(DESTDIR)/usr/sbin
 	install -d $(DESTDIR)/etc
 	install -d $(DESTDIR)/lib/systemd/system

=== debian/changelog ===
mbpfan (2.3.0-1) unstable; urgency=medium

  * [036cff0] New upstream version 2.3.0
  * [0e8ca5b] Refresh patches
  * [5050621] Update debian/copyright file

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 07 Mar 2022 15:07:58 +0800

## mbpfan 2.4.0

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 TESTS_BIN = bin/mbpfan-tests
 BIN = bin/mbpfan
 CONF = mbpfan.conf
+DEPEND_MODULE = mbpfan.depend.conf
 DOC = README.md
 MAN = mbpfan.8.gz
 
@@ -52,6 +53,7 @@
 uninstall:
 	rm /usr/sbin/mbpfan
 	rm /etc/mbpfan.conf
+	rm /lib/modules-load.d/mbpfan.depend.conf
 	rm /lib/systemd/system/mbpfan.service
 	rm /usr/share/man/man8/mbpfan.8.gz
 	rm -rf /usr/share/doc/mbpfan
@@ -61,8 +63,10 @@
 	install -d $(DESTDIR)/etc
 	install -d $(DESTDIR)/lib/systemd/system
 	install -d $(DESTDIR)/usr/share/doc/mbpfan
+	install -d $(DESTDIR)/lib/modules-load.d
 	install $(BIN) $(DESTDIR)/usr/sbin
 	install -m644 $(CONF) $(DESTDIR)/etc
+	install -m644 $(DEPEND_MODULE) $(DESTDIR)/lib/modules-load.d
 	install -m644 $(DOC) $(DESTDIR)/usr/share/doc/mbpfan
 	install -d $(DESTDIR)/usr/share/man/man8
 	install -m644 $(MAN) $(DESTDIR)/usr/share/man/man8

=== debian/changelog ===
mbpfan (2.4.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 09 Jan 2024 12:54:03 +0800

mbpfan (2.4.0-1) experimental; urgency=medium

  * [1c8d9c2] New upstream version 2.4.0
  * [3999a29] Refresh patches
  * [53c1a5a] Drop lsb-base dependency.
    That's an obsolete package so we no longer should depend on it

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 03 May 2023 14:18:15 +0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper-compat (= 12),
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13),
+Standards-Version: 4.6.1
 Homepage: https://github.com/dgraziotin/mbpfan
 Vcs-Git: https://salsa.debian.org/debian/mbpfan.git
 Vcs-Browser: https://salsa.debian.org/debian/mbpfan
@@ -11,8 +11,7 @@
 Package: mbpfan
 Architecture: any
 Pre-Depends: init-system-helpers (>= 1.58)
-Depends: lsb-base,
-         ${shlibs:Depends},
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: fan control daemon for Apple Macbooks
  mbpfan is a daemon that uses input from coretemp module and sets the fan speed
